%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python2_version:  %define python2_version  %(%{__python2} -c "import sys; sys.stdout.write(sys.version[:3])")}

%define modn   linecache2
%define modv   1.0.0


Summary:       Linecache module backported to Python 2.6+
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       Python
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/l/%{modn}/%{modn}-%{modv}.tar.gz
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Robert Collins <rbtcollins@hp.com>
Provides:      python(%{modn}) = %{modv}
BuildRequires: python2-devel >= 2.6 python-setuptools
BuildRequires: python-pbr
BuildArch:     noarch


%description
Linecache2 is a backport of the linecache module to older supported Python
versions.


%prep
%setup -q -n %{modn}-%{modv}

# Remove test suite
%{__rm} -rf %{modn}/tests


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


#%check
#%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README*
%{python2_sitelib}/%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Thu Nov 26 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.0-1
- Initial build
